Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
enrollments
/
{enrollmentSid}
/
exams
/
{examSid}
/
sessions
List enrollment exam sessions
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/enrollments/{enrollmentSid}/exams/{examSid}/sessions \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "status": "<string>",
      "sessionType": "<string>",
      "appointmentDate": "<string>",
      "createdDate": "<string>",
      "editDate": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
enrollmentSid
string
required

Enrollment Sid

Pattern: ^EN[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$

Query Parameters

offset
integer

Id to get next portion of query data. For 1st query should pass as empty

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Sort keys

Available options:
createdDate
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC
status
enum<string>[]

Status List

Available options:
Needs Proctor,
Pending Approval,
Approval Denied,
Scheduled,
Incident,
Closed,
Processing
includeActive
boolean
default:false

Include Active Session

Response

200 - application/json

Successful

total
number

Total number of results

first
string | null

URL for first page

next
string | null

URL for next page

prev
string | null

URL for previous page

last
string | null

URL for last page

count
number

Number of results in this page

offset
number

Current offset

results
object[]

Exam session records